<?
	$rows = array();
	$config = Zend_Registry::get('escorts_config');
	/*$banners = Zend_Registry::get('banners');
	echo $banners['funcs'];*/

	for ( $i = 0; $i < ceil(count($this->escorts) / $config['perRow']); $i++ ) {
		$rows[] = array_slice($this->escorts, $i * $config['perRow'], $config['perRow']);
	}
	$DEFINITIONS = Zend_Registry::get('defines');
?>

<? $this->headScript()
		->appendFile(_st('overlay.js'), 'text/javascript')
		->appendFile(_st('highslide.js'), 'text/javascript')
		->appendScript('hs.graphicsDir = "/css/graphics/"');
?>

<? $this->headLink()->prependStylesheet(_st('highslide.css')) ?>

<? $this->headScript()
	->appendFile(_st('feedback.js'))
	->appendFile(_st('popup.js'))
	
	->appendScript('Cubix.Feedback.url = "' . $this->getLink('feedback') . '"')
	->appendScript('Cubix.Popup.url = "/' . $this->lang() . '/private/sign-in-up"')
	->appendScript('Cubix.ChatPopup.url = "/index/no-chat"')	
?>

<? $this->headLink()->appendStylesheet(_st('new-girls.css')) ?>

<? if ( ! _cs($this->new_list_cache_key) ): ?>

<?
	function ___date_to_age ($timestamp) {
		
		if ( $timestamp === false || is_null($timestamp) || ! $timestamp ) return null;

		if (strpos($timestamp, '-') ) {
			$timestamp = strtotime($timestamp);
		}

		list($year, $month, $day) = explode('-', date('Y-m-d', $timestamp));
		
		$year_diff  = date("Y") - $year;
		$month_diff = date("m") - $month;
		$day_diff   = date("d") - $day;
		if ($day_diff < 0)
			$month_diff--;
		if ($month_diff < 0)
			$year_diff--;
		return $year_diff;
	}

	
?>

<div id="new-girls">
	<fieldset>
		<legend><span class="i"><span class="ii"><span class="icon"><?= __('new_arrivals') ?></span></span></span></legend>

		<? foreach ( $this->escorts as $escort ): ?>
		<div class="profile">
			<div class="heading">
				<span class="date"><?= __('added', array('date' => ( date('d.m.Y') == date('d.m.Y', $escort->date_registered) ) ? $this->t('today_new') : date('d M Y', $escort->date_registered) )) ?></span>
				<span class="name"><?= $escort->profile->showname ?><?= ( $escort->age ) ? ", " . ___date_to_age($escort->profile->birth_date) . " " . __('years') : "" ?></span>
			</div><? /*  heading  */ ?>
			
			<div class="photos">
				<a class='main highslide' onclick='return hs.expand(this)' href='<?= $escort->profile->getMainPhoto()->getUrl('orig') ?>'>
					<img src="<?= $escort->profile->getMainPhoto()->getUrl('new-main') ?>" width="246" height="175" alt="" />

					<? if ( $escort->is_suspicious ): ?>
					<span class="new-suspicious"></span>
					<? endif; ?>

					<? if ( $escort->verified_status == Model_Escorts::VERIFIED_STATUS_VERIFIED ): ?>
					<span class="new-p100s"></span>
					<? endif; ?>
				</a>

				<? $count = 0; $photos = $escort->profile->getPhotos(1, $count, false, false, null, null, true); ?>

				<? $count = 4; $i = 0; ?>
				<? foreach($photos as $photo): ?>
				<a class="highslide" onclick="return hs.expand(this)" href="<?= $photo->getUrl('orig') ?>">
					<img src="<?= $photo->getUrl('new-thumb') ?>" width="112" height="78" alt="" />
				</a>
				<? $i++; ?>
				<? if ( $i == $count ): ?>
				<? break; ?>
				<? endif; ?>
				<? endforeach; ?>
			</div><? /*  photos  */ ?>
			
			<div class="about">
				<? if ( strlen($escort->profile->{'about_' . $this->lang()}) ): ?>
				<div class="item">
					<h4><?= __('about_me') ?></h4>
					<p>
						<?= mb_substr($escort->profile->{'about_' . $this->lang()}, 0, 200, "UTF-8") . " ..." ?>
					</p>
				</div>
				<? endif; ?>
				<div class="clear"></div>

				<? if ( count($escort->profile->rates) ): ?>
					<?
						$has_incall_rate = false;
						$has_outcall_rate = false;

						foreach ( $escort->profile->rates as $rate ) {
							if ( $rate->time_unit == TIME_HOURS && $rate->time == 1 && $rate->availability == AVAILABLE_INCALL ) {
								$has_incall_rate = true;
								$incall_price = $rate->price;
								$incall_currency = $DEFINITIONS['currencies'][$rate->currency_id];
							}

							if ( $rate->time_unit == TIME_HOURS && $rate->time == 1 && $rate->availability == AVAILABLE_OUTCALL ) {
								$has_outcall_rate = true;
								$outcall_price = $rate->price;
								$outcall_currency = $DEFINITIONS['currencies'][$rate->currency_id];
							}
						}
					?>

					<? if ($has_incall_rate || $has_outcall_rate): ?>
					<div class="item">
						<h4><?= __('hour_rate', array('number' => 1)) ?></h4>


						<? if ( $has_incall_rate ): ?>
						<div class="incall">
							<div class="icon"><?= __('incall') ?> <span class="strong"><?= $incall_price . " " . $incall_currency ?></span></div>
						</div>
						<? endif; ?>

						<? if ( $has_outcall_rate ): ?>
						<div class="outcall">
							<div class="icon"><?= __('outcall') ?> <span class="strong"><?= $outcall_price . " " . $outcall_currency ?></span></div>
						</div>
						<? endif; ?>
						<div class="clear"></div>
					</div>
					<div class="clear"></div>
					<? endif; ?>
				<? endif; ?>

				<h4><?= __('contact') ?></h4>
				
				<? if ( $escort->profile->phone_number ): ?>
				<div class="row">
					<div class="phone"><?= __('phone') ?>: <span class="strong"><img src="/index/phone-img?escort_id=<?= $escort->id ?>&fs=11&w=140&h=20&v=20&c=0,0,0" width="140" height="20" alt="Phone" /><? '+'.Model_Countries::getPhonePrefixById($escort->profile->phone_country_id). $escort->profile->phone_number ?></span></div>
				</div>
				<? endif; ?>

				<div class="row">
					<div class="base_city"><?= __('base_city') ?>: <a href="<?= $this->getLink('escorts', array('city' => $escort->profile->country_iso . '_' . $escort->profile->city_slug, 'filter' => null, 'page' => null), true) ?>"><?= $escort->profile->{'base_city_' . $this->lang()} ?></a></div>
				</div>
				<div class="clear"></div>
				
				<div class="clear"></div>

				<a class="btn-setcard" href="<?= $this->getLink('profile', array('showname' => $escort->showname, 'from' => 'new_list', 'escort_id' => $escort->id)) ?>"><img src="<?= _st($this->lang() . '_btn_viewsedcard.jpg') ?>" alt="view sedcard" /></a>
			</div><? /*  about  */ ?>
			<div class="clear"></div>
		</div><? /*  profile  */ ?>
		<? endforeach; ?>
	</fieldset>
</div><? /*  new-girls  */ ?>


<? $pages_count = ceil($this->count / $config['newPerPage']); ?>
<? if( $pages_count != 1 ): ?>
<div class="paging-list">
	<? $pages = $this->paging($this->count, $this->params['page'], $config['newPerPage']); ?>
	<? if ( 1 < $this->params['page']): ?>
	<a href="<?= $this->getLink('escorts', array('page' => $this->params['page'] - 1)) ?>" onclick="return Cubix.Filter.Set({ page: '<?= $this->params['page'] - 1 ?>' })">&laquo; <?= $this->t('previous') ?></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>

	<? if ( $this->params['page'] == $page ): ?>
	<span class="active"><?= $page ?></span>
	<? else: ?>
	<a href="<?= $this->getLink('escorts', array('page' => $page)) ?>" onclick="return Cubix.Filter.Set({ page: '<?= $page ?>' })"><?= $page ?></a>
	<? endif ?>

	<? endforeach ?>

	<? if ( $pages_count > $this->params['page']): ?>
	<a href="<?= $this->getLink('escorts', array('page' => $this->params['page'] + 1)) ?>" onclick="return Cubix.Filter.Set({ page: '<?= $this->params['page'] + 1 ?>' })"><?= $this->t('next') ?> &raquo;</a>
	<? endif ?>
</div>


<div class="clear-both">&nbsp;</div>
<div class="bodky-big">&nbsp;</div>

<? endif; ?>

<? _ce(); ?>
<? endif; ?>


